> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Get Invoice Attachment Upload Url

> Mints an attachment id and fileKey and returns a signed S3 upload URL for an invoice attachment.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-get-invoice-attachment-upload-url
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-get-invoice-attachment-upload-url:
    post:
      operationId: selfServeGetInvoiceAttachmentUploadUrl
      summary: Self Serve Get Invoice Attachment Upload Url
      description: >-
        Mints an attachment id and fileKey and returns a signed S3 upload URL
        for an invoice attachment.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/SelfServeGetInvoiceAttachmentUploadUrlRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SelfServeGetInvoiceAttachmentUploadUrlResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeGetInvoiceAttachmentUploadUrlRequest:
      type: object
      properties:
        fileName:
          type: string
          minLength: 1
          maxLength: 255
        mimeType:
          type: string
          enum:
            - application/pdf
            - application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
            - application/vnd.ms-excel
            - text/csv
            - >-
              application/vnd.openxmlformats-officedocument.wordprocessingml.document
            - application/msword
            - image/png
            - image/jpeg
            - image/webp
        fileSize:
          type: integer
          minimum: 1
      required:
        - fileName
        - mimeType
        - fileSize
    SelfServeGetInvoiceAttachmentUploadUrlResponse:
      type: object
      properties:
        uploadUrl:
          type: string
        fileKey:
          type: string
        attachmentId:
          type: string
          format: uuid
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
